curl --request GET \
--url https://api.virtuoussoftware.com/api/ProjectExpense \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ProjectExpense', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectExpense"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectExpense");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectExpense';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"projectId": "<integer>",
"projectName": "<string>",
"projectCode": "<string>",
"parentProjectId": "<integer>",
"parentProjectName": "<string>",
"parentProjectCode": "<string>",
"expenseAmount": "<double>",
"expenseDate": "<dateTime>",
"accountingCode": "<string>",
"expenseDescription": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"projectName": "<string>",
"projectCode": "<string>",
"parentProjectId": "<integer>",
"parentProjectName": "<string>",
"parentProjectCode": "<string>",
"expenseAmount": "<double>",
"expenseDate": "<dateTime>",
"accountingCode": "<string>",
"expenseDescription": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}List Project Expenses
Returns the expenses recorded against a project. Identify the project by projectId or projectCode, and use filter to narrow the results by description or accounting code. Use skip and take to page through the results. skip defaults to 0; take defaults to 10 and is capped at 1,000.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The identifier of the project whose expenses should be returned.
The code of the project whose expenses should be returned. Use this instead of projectId when you only store the project code.
An optional text filter that matches project expenses by description or accounting code.
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Must be between 1 and 1000.
Deprecated: use take instead. When supplied, count overrides take, including when both parameters are supplied.
Was this page helpful?